Search Members Help

» Welcome Guest
[ Log In :: Register ]

Mini-ITX Boards Sale, Fanless BareBones Mini-ITX, Bootable 1G DSL USBs, 533MHz Fanless PC <-- SALE $200 each!
Get The Official Damn Small Linux Book. DSL Market , Great VPS hosting provided by Tektonic
Pages: (14) </ ... 5 6 7 8 9 [10] 11 12 13 14 >/

[ Track this topic :: Email this topic :: Print this topic ]

new topic new poll
Topic: DSL 2.0RC2!< Next Oldest | Next Newest >
roberts Offline

Group: Members
Posts: 4983
Joined: Oct. 2003
Posted: Nov. 16 2005,00:14 QUOTE

Thanks for the feedback, cbagger.
I am hoping that we can streamline the procedure.
I have some code in dsl-config that will load modules like extensions via the boot time option modules=hdXY
Back to top
Profile PM WEB 
kananga Offline

Group: Members
Posts: 3
Joined: Nov. 2005
Posted: Nov. 16 2005,03:06 QUOTE

Any idea when a final release of version 2 will be available?
Back to top
Profile PM 

Posted: Nov. 16 2005,03:13 QUOTE

Quote (cbagger01 @ Nov. 15 2005,18:20)
sudo su
tar -zxvf modules_cut.tar.gz -C /
modprobe ata_piix

mkwritable?? :angry:
I can't find that file, and desperately need sata-support.
Is there another way to use the modules in modules_cut.tar.gz?
Back to top
mikshaw Offline

Group: Members
Posts: 4856
Joined: July 2004
Posted: Nov. 16 2005,03:17 QUOTE

I think that was a typo....should have been /etc/init.d/mkwriteable

Back to top
Profile PM WEB 
cbagger01 Offline

Group: Members
Posts: 4264
Joined: Oct. 2003
Posted: Nov. 16 2005,03:43 QUOTE


I was typing from memory from earlier in the day, but I could not connect to the web site at the time.

The general concept is the same for other SATA drivers, just replace

modprobe ata_piix

with your appropriate driver name, such as

modprobe ahci

for example.

Other driver modules of note are:


depending on your computer's chipset.  You need to use google to learn the type of chipset/driver combo is required for your SATA controller.

Newer versions of the KNOPPIX 2.4.x kernel autodetection routines MAY be able to automatically detect the correct driver, maybe knoppix 3.6 or 3.7

Otherwise, the newest KNOPPIX autodetection routines would need to be backported to work with the 2.4.x kernel.  My guess is that this would not be too hard, mainly replacing ".ko" with ".o" in a lot of different places.  But that is easy for me to say because I have not done it myself :)
Back to top
Profile PM 
68 replies since Nov. 09 2005,07:05 < Next Oldest | Next Newest >

[ Track this topic :: Email this topic :: Print this topic ]

Pages: (14) </ ... 5 6 7 8 9 [10] 11 12 13 14 >/
new topic new poll
Quick Reply: DSL 2.0RC2!

Do you wish to enable your signature for this post?
Do you wish to enable emoticons for this post?
Track this topic
View All Emoticons
View iB Code